PHP Manual
Prev |  | Next

# OrbitObject

(no version information, might be only in CVS)

OrbitObject -- Access CORBA objects

## Description

new OrbitObject ( string ior )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

This class provides access to a CORBA object.

## Parameters

ior

  Should be a string containing the IOR (Interoperable Object Reference) that identifies the remote object.

## Examples

Example 1. Sample IDL file
    interface MyInterface {
        void SetInfo (string info);
        string GetInfo();

        attribute int value;
    }

Example 2. PHP code for accessing MyInterface
`<?php $obj = new OrbitObject ($ior); $obj->SetInfo ("A 2GooD object"); echo $obj->GetInfo(); $obj->value = 42; echo $obj->value; ?>`

Prev | Home | Next
OrbitEnum | Up | OrbitStruct